using Blazored.LocalStorage;
using Microsoft.AspNetCore.Components.Web;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;
using SessionZero;
using SessionZero.Data;
using SessionZero.Services;

var builder = WebAssemblyHostBuilder.CreateDefault(args);
builder.RootComponents.Add<App>("#app");
builder.RootComponents.Add<HeadOutlet>("head::after");

builder.Services.AddScoped(sp => new HttpClient { BaseAddress = new Uri(builder.HostEnvironment.BaseAddress) });

// Add LocalStorage service
builder.Services.AddBlazoredLocalStorage();

// Register our services
builder.Services.AddScoped<SzfParser>();
builder.Services.AddScoped<SzfGenerator>();
builder.Services.AddSingleton<SessionZero.Services.ILocalStorageService, LocalStorageService>();
builder.Services.AddSingleton<ISzfStorageService, SzfStorageService>();


await builder.Build().RunAsync();