using SessionZero.Models;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace SessionZero.Services;

public interface ISzfStorageService
{
    Task SaveSzfFileAsync(SzfFile szfFile);
    Task<SzfFile?> GetSzfFileByGuidAsync(string guid);
    Task<IEnumerable<SzfFile>> GetSzfFilesByTypeAsync(string type);
    Task<IEnumerable<SzfFile>> GetAllSzfFilesAsync();
    Task DeleteSzfFileAsync(string guid);

    // New methods for retrieval by Name, GUID, and Version
    Task<SzfFile?> GetSzfFileByNameGuidVersionAsync(string name, string guid, string version);
    Task<IEnumerable<SzfFile>> GetSzfFilesByNameAsync(string name);
    Task<IEnumerable<SzfFile>> GetSzfFilesByNameAndVersionAsync(string name, string version);
}