#!/bin/bash
set -e

# This script performs a complete cleanup of all certificate data
echo "Stopping containers..."
docker-compose down

echo "Completely removing all certbot data..."
rm -rf ./data/certbot

echo "Creating fresh directory structure..."
mkdir -p ./data/certbot/conf
mkdir -p ./data/certbot/www

echo "Setting correct permissions..."
chmod -R 755 ./data/certbot

echo "Starting containers to obtain fresh certificates..."
docker-compose up -d

echo "Waiting for container to start..."
sleep 5

echo "Checking logs (press Ctrl+C to exit):"
docker-compose logs -f sessionzero
